## fotoxx 16.06.1

=== Makefile ===
# fotoxx makefile

FOTOXX = fotoxx-16.06.1.cc

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -ggdb
PREFIX ?= /usr
CPPFLAGS ?= -O2

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `pkg-config --cflags gtk+-3.0`                  \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/                 \
   -I/usr/include/libchamplain-gtk-0.12/           \
   -I/usr/include/libchamplain-0.12/


LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -llcms2          \
      -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.area.o          \
           f.meta.o f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o         \
           f.mashup.o f.albums.o f.tools.o f.batch.o zfuncs.o

fotoxx: $(ALLFILES)
	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \

fotoxx.o: $(FOTOXX) fotoxx.h
	$(CXX) -o fotoxx.o $(FOTOXX) $(CFLAGS) \

f.widgets.o: f.widgets.cc  fotoxx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.image.o: f.image.cc  fotoxx.h
	$(CXX) f.image.cc $(CFLAGS) \

f.file.o: f.file.cc  fotoxx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotoxx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.area.o: f.area.cc  fotoxx.h
	$(CXX) f.area.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotoxx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotoxx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.repair.o: f.repair.cc  fotoxx.h
	$(CXX) f.repair.cc $(CFLAGS) \

f.bend.o: f.bend.cc  fotoxx.h
	$(CXX) f.bend.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotoxx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.combine.o: f.combine.cc  fotoxx.h
	$(CXX) f.combine.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotoxx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotoxx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotoxx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.batch.o: f.batch.cc  fotoxx.h
	$(CXX) f.batch.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS) \
	-D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\" \

install: fotoxx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean:
	rm -f  fotoxx
	rm -f  *.o

=== debian/changelog ===
fotoxx (16.06.1-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Fri, 17 Jun 2016 18:04:28 -0700

fotoxx (16.06.1-1~getdeb1) xenial; urgency=medium

  * New upstream version
    + Translation updates for Spanish and Catalan.

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 08 Jun 2016 19:36:19 +0200

fotoxx (16.06-1~getdeb1) xenial; urgency=medium

  * New upstream version
    + Many popup tips were added to dialogs to improve ease of use. 
    + Edit Metadata and Edit Geotags were integrated for better ease of use.
    + Edit Any Metadata: easier to edit items not included in the pick-list.
    + Adjust HSL: improved output quality, more precise user control of
    output.
    + Image Search: finding images with no data (e.g. no tags) was
    simplified.
    + Image Search: search for images from specific locations was simplified.
    + Several functions were made easier to process multiple image files in
    gallery 
      view mode: View and Edit Metadata, Rename, Copy/Move, Delete/Trash,
      Upright.
    + New in image and thumbnail popup menus: jump to image map location.
    + Paint/Clone: undo memory for oldest edits is recovered as needed for
    new edits.
    + Unbend: made easier to use by including icons in the dialog box.
    + Cartoon: small improvement in algorithm, small speedup. 
    + Bugfix: Favorites > Previous Image: crash if initiated from Gallery
    View.
    + Bugfix: Map search range was increasingly inaccurate for higher
    latitudes.
    + Bugfix: Custom favorites menu can lose icons if an entry is deleted.
    + Bugfix: Slide Show: custom image settings (zoom target, transition
    type)
      were sometimes lost if underlying album was edited or rearranged.

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 01 Jun 2016 19:21:33 +0200

fotoxx (16.05.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + Portuguese language updated.
    + Bugfix: crash if Trim/Rotate initiated from the image popup menu.

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 20 Apr 2016 19:07:26 +0200

fotoxx (16.05-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + A new image location map was implemented using OpenStreetMap. This has 
      superior functionality, but depends on having a fast and reliable
      internet connection. The old method (using large local map files) can
      still be used and may be preferable for custom maps.
    + New: Selective Rescale: scale image down, leaving selected areas
    unchanged.
      This can be used to increase the relative size of the area of interest.
    + Gallery top panel has more information about current album or search
    view.
    + Font and map marker sizes are adjustable for monitor size and DPI.
    + Bugfix: no warning was given when a gallery thumbnail was opened and
    the previous file had unsaved modifications which were silently
    discarded.
    + Bugfix: minor memory leak in Manage Albums.

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 19 Apr 2016 22:03:24 +0200

fotoxx (16.04.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + Bugfix: saving an unmodified file with a new file type (e.g. tif to
    jpg) could produce a duplicate of the input file with the wrong file type
    (e.g. a tif file with a .jpg extension).

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 13 Apr 2016 20:23:24 +0200

fotoxx (16.04-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 01 Apr 2016 21:19:12 +0200

fotoxx (16.03.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Translation updates for Spanish, Catalan, Italian, and Portuguese.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Mar 2016 21:38:14 +0100

fotoxx (16.03-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + New: Blur Background: select one or more areas (foreground) that remain
    sharp 
      while the remaining areas (background) are blurred, optionally in
      proportion 
      to distance from foreground. Also useful for the classic Tilt-Shift
      effect.
    + New: Add Transparency: based on brightness, a chosen color, or the
    inverse.
    + Edit Metadata: Editing a series of images that need some of the same
    metadata
      was made faster and easier with a button to recall previous data.
    + The image size limit for most edit functions was doubled to 250
    megapixels
      (not realistic for computers having less than 16 GB main memory). 
    + Select Area: area edge distance calculation was made 2-3x faster.
    + Select Area: copy/paste retains both transparency and edge distance
    data.
    + Calibrate Printer Colors: the chart and the procedure were revised, and
    this
      means you have to perform the calibration again (my apologies for
      this). 
    + Bugfix: Mashup: warping overlay images no longer leaves black margins
    where
      an image was pulled inward from the edge. 

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 01 Mar 2016 18:05:14 +0100

fotoxx (16.02.1-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + Translation updates for Portuguese.
    + Bugfix: Resize: locking width/height ratio did not always work.
    + Bugfix: Slide Show startup sometimes failed. 
    + Bugfix: If an album contains the same image file two or more times,
    stepping sequentially through the images loops from the Nth instance
    back to the first.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 05 Feb 2016 18:50:36 +0100

fotoxx (16.02-1~getdeb1) trusty; urgency=medium

  * New upstream version
    + New Effects > Cartoon: convert a photo into a cartoon-like drawing. 
    + Add Text and Add Lines now work better with images having transparent
    areas.
    + Paint/Clone: optionally paint over transparent areas, instantly or
    gradually.


=== debian/control ===
Source: fotoxx
Section: graphics
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               libgtk-3-dev,
               libtiff5-dev,
               liblcms2-dev,
               libchamplain-0.12-dev,
               libchamplain-gtk-0.12-dev,
               xdg-utils
Standards-Version: 3.9.7
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-0,
         libimage-exiftool-perl,
         ufraw,
         ufraw-batch,
         xdg-utils,
         dcraw
Suggests: brasero
Description: Image Editor and Collection Manager
 Fotoxx is a free open-source Linux program for editing
 photos and other images, and managing a large image
 collection.
 It has a rich set of functions for image editing,
 metadata editing, image searching, and batch utilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot

	dh_prep
	dh_installdirs

	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/COPYING
	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/fotoxx.man
	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/copyright
	chmod -x $(CURDIR)/debian/fotoxx/usr/share/fotoxx/data/quickstart-it.html

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/changelog
	dh_installdocs 
	dh_installmenu
	dh_install
	dh_strip
	dh_compress 
	dh_link usr/share/doc/fotoxx/changelog.gz usr/share/doc/fotoxx/extras/changelog.gz
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://www.kornelix.net/downloads/downloads.html \
    (?:.*/)?fotoxx-([\d\.]+)\.tar\.(?:gz|bz2|xz)

## fotoxx 16.08

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-16.06.1.cc
+FOTOXX = fotoxx-16.08.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -ggdb
@@ -27,8 +27,7 @@
    -I/usr/include/libchamplain-gtk-0.12/           \
    -I/usr/include/libchamplain-0.12/
 
-
-LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -llcms2          \
+LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -lraw -llcms2    \
       -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.area.o          \
@@ -88,7 +87,6 @@
 
 zfuncs.o: zfuncs.cc  zfuncs.h
 	$(CXX) zfuncs.cc $(CFLAGS) \
-	-D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\" \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)

=== debian/changelog ===
fotoxx (16.08-1) unstable; urgency=medium

  * New upstream release (16.08).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add libraw-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 08 Aug 2016 23:42:13 +0200

## fotoxx 16.11.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-16.08.cc
+FOTOXX = fotoxx-16.11.1.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -ggdb
@@ -28,11 +28,11 @@
    -I/usr/include/libchamplain-0.12/
 
 LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -lraw -llcms2    \
-      -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
+         -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.area.o          \
-           f.meta.o f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o         \
-           f.mashup.o f.albums.o f.tools.o f.batch.o zfuncs.o
+ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.gmenu.o         \
+           f.area.o f.meta.o f.edit.o f.repair.o f.warp.o f.effects.o            \
+           f.combine.o f.mashup.o f.tools.o f.batch.o zfuncs.o
 
 fotoxx: $(ALLFILES)
 	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \
@@ -52,6 +52,9 @@
 f.gallery.o: f.gallery.cc  fotoxx.h
 	$(CXX) f.gallery.cc $(CFLAGS) \
 
+f.gmenu.o: f.gmenu.cc  fotoxx.h
+	$(CXX) f.gmenu.cc $(CFLAGS) \
+
 f.area.o: f.area.cc  fotoxx.h
 	$(CXX) f.area.cc $(CFLAGS) \
 
@@ -64,8 +67,8 @@
 f.repair.o: f.repair.cc  fotoxx.h
 	$(CXX) f.repair.cc $(CFLAGS) \
 
-f.bend.o: f.bend.cc  fotoxx.h
-	$(CXX) f.bend.cc $(CFLAGS) \
+f.warp.o: f.warp.cc  fotoxx.h
+	$(CXX) f.warp.cc $(CFLAGS) \
 
 f.effects.o: f.effects.cc  fotoxx.h
 	$(CXX) f.effects.cc $(CFLAGS) \
@@ -76,9 +79,6 @@
 f.mashup.o: f.mashup.cc  fotoxx.h
 	$(CXX) f.mashup.cc $(CFLAGS) \
 
-f.albums.o: f.albums.cc  fotoxx.h
-	$(CXX) f.albums.cc $(CFLAGS) \
-
 f.tools.o: f.tools.cc  fotoxx.h
 	$(CXX) f.tools.cc $(CFLAGS) \
 
@@ -86,7 +86,7 @@
 	$(CXX) f.batch.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS) \
+	$(CXX) zfuncs.cc $(CFLAGS) -D DOCDIR=\"$(DOCDIR)\" \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)

=== debian/changelog ===
fotoxx (16.11.1-1) unstable; urgency=medium

  * New upstream release (16.11.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 Dec 2016 15:03:38 +0100

fotoxx (16.11-1) unstable; urgency=medium

  * New upstream release (16.11).
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Nov 2016 16:32:46 +0100

fotoxx (16.10.3-1) unstable; urgency=medium

  * New upstream release (16.10.3).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Oct 2016 13:30:12 +0100

fotoxx (16.10.1-1) unstable; urgency=medium

  * New upstream release (16.10.1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Oct 2016 10:40:08 +0200

fotoxx (16.08.1-1) unstable; urgency=medium

  * New upstream release (16.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Sep 2016 18:10:34 +0200

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: extra
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9),
               libchamplain-gtk-0.12-dev,
               libgtk-3-dev,
               liblcms2-dev,
               libraw-dev,
               libtiff-dev
Standards-Version: 3.9.8
Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git

Package: fotoxx
Architecture: any
Depends: dcraw,
         fotoxx-common (= ${source:Version}),
         libimage-exiftool-perl (>= 8.60),
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ufraw
Suggests: brasero, gimp, hugin, imagemagick, rawtherapee, www-browser
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: easy-to-use digital photo editor - common files
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

## fotoxx 17.04

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-16.11.1.cc
+FOTOXX = fotoxx-17.04.cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS += -Wall -ggdb
+CXXFLAGS += -Wall -ggdb -fstack-protector-all
 PREFIX ?= /usr
 CPPFLAGS ?= -O2
 
@@ -17,6 +17,7 @@
 MANDIR = $(PREFIX)/share/man/man1
 APPDATADIR = $(PREFIX)/share/appdata
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
+ICONFILE = $(PREFIX)/share/fotoxx/icons/fotoxx.png                      ## snapcraft
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `pkg-config --cflags gtk+-3.0`                  \
@@ -32,7 +33,7 @@
 
 ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.gmenu.o         \
            f.area.o f.meta.o f.edit.o f.repair.o f.warp.o f.effects.o            \
-           f.combine.o f.mashup.o f.tools.o f.batch.o zfuncs.o
+           f.combine.o f.mashup.o f.tools.o f.process.o zfuncs.o
 
 fotoxx: $(ALLFILES)
 	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \
@@ -82,11 +83,12 @@
 f.tools.o: f.tools.cc  fotoxx.h
 	$(CXX) f.tools.cc $(CFLAGS) \
 
-f.batch.o: f.batch.cc  fotoxx.h
-	$(CXX) f.batch.cc $(CFLAGS) \
+f.process.o: f.process.cc  fotoxx.h
+	$(CXX) f.process.cc $(CFLAGS) \
 
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS) -D DOCDIR=\"$(DOCDIR)\" \
+	$(CXX) zfuncs.cc $(CFLAGS)    \
+	### -D DOCDIR=\"$(DOCDIR)\"   \     ### SUSE only   \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -101,7 +103,7 @@
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
-	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
+	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
 	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
 	# man page
@@ -110,7 +112,8 @@
 	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
 	rm -f fotoxx.1.gz
 	# menu (desktop) file
-	cp -f desktop $(DESTDIR)$(MENUFILE)
+	cp -f fotoxx.desktop $(DESTDIR)$(MENUFILE)
+	cp -f fotoxx.png $(DESTDIR)$(ICONFILE)
 
 uninstall:
 	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
@@ -118,9 +121,9 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
+	rm -f  $(DESTDIR)$(ICONFILE)
 
 clean:
 	rm -f  fotoxx
 	rm -f  *.o
 
-

## fotoxx 17.08.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-17.04.cc
+FOTOXX = fotoxx-17.08.1.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -ggdb -fstack-protector-all
@@ -17,7 +17,7 @@
 MANDIR = $(PREFIX)/share/man/man1
 APPDATADIR = $(PREFIX)/share/appdata
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
-ICONFILE = $(PREFIX)/share/fotoxx/icons/fotoxx.png                      ## snapcraft
+ICONFILE = $(PREFIX)/share/fotoxx/icons/fotoxx.png
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `pkg-config --cflags gtk+-3.0`                  \
@@ -28,12 +28,12 @@
    -I/usr/include/libchamplain-gtk-0.12/           \
    -I/usr/include/libchamplain-0.12/
 
-LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -lraw -llcms2    \
+LIBS = `pkg-config --libs gtk+-3.0` -lpthread -ltiff -lpng -lraw -llcms2    \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
-ALLFILES = fotoxx.o f.widgets.o f.image.o f.file.o f.gallery.o f.gmenu.o         \
-           f.area.o f.meta.o f.edit.o f.repair.o f.warp.o f.effects.o            \
-           f.combine.o f.mashup.o f.tools.o f.process.o zfuncs.o
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
+           f.edit.o f.repair.o f.warp.o f.effects.o f.combine.o f.mashup.o          \
+           f.tools.o f.process.o zfuncs.o
 
 fotoxx: $(ALLFILES)
 	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \
@@ -44,17 +44,14 @@
 f.widgets.o: f.widgets.cc  fotoxx.h
 	$(CXX) f.widgets.cc $(CFLAGS) \
 
-f.image.o: f.image.cc  fotoxx.h
-	$(CXX) f.image.cc $(CFLAGS) \
-
 f.file.o: f.file.cc  fotoxx.h
 	$(CXX) f.file.cc $(CFLAGS) \
 
 f.gallery.o: f.gallery.cc  fotoxx.h
 	$(CXX) f.gallery.cc $(CFLAGS) \
 
-f.gmenu.o: f.gmenu.cc  fotoxx.h
-	$(CXX) f.gmenu.cc $(CFLAGS) \
+f.albums.o: f.albums.cc  fotoxx.h
+	$(CXX) f.albums.cc $(CFLAGS) \
 
 f.area.o: f.area.cc  fotoxx.h
 	$(CXX) f.area.cc $(CFLAGS) \
@@ -100,6 +97,7 @@
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	mkdir -p  $(DESTDIR)$(APPDATADIR)
 	cp -f  fotoxx $(DESTDIR)$(BINDIR)
+	cp -f  fotoxx $(DESTDIR)$(BINDIR)/fotoxx-snap            ### snap package name
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
 	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
 	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)

=== debian/changelog ===
fotoxx (17.08.1-1) sid; urgency=medium

  * New upstream release (17.08.1).
  * Bump to Standards-Version 4.0.1, change priority to optional
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Aug 2017 00:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: fotoxx
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -9,7 +9,7 @@
                liblcms2-dev,
                libraw-dev,
                libtiff-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git

## fotoxx 18.01.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-17.08.1.cc
+FOTOXX = fotoxx-18.01.1.cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS += -Wall -ggdb -fstack-protector-all
+CXXFLAGS += -Wall -g -rdynamic -fstack-protector-strong
 PREFIX ?= /usr
 CPPFLAGS ?= -O2
 
@@ -12,12 +12,12 @@
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data
 ICONDIR = $(SHAREDIR)/icons
+IMAGEDIR = $(SHAREDIR)/images
 LOCALESDIR = $(SHAREDIR)/locales
 DOCDIR = $(PREFIX)/share/doc/fotoxx
 MANDIR = $(PREFIX)/share/man/man1
 APPDATADIR = $(PREFIX)/share/appdata
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
-ICONFILE = $(PREFIX)/share/fotoxx/icons/fotoxx.png
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
    `pkg-config --cflags gtk+-3.0`                  \
@@ -91,15 +91,15 @@
 	mkdir -p  $(DESTDIR)$(BINDIR)
 	mkdir -p  $(DESTDIR)$(DATADIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
+	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(LOCALESDIR)
 	mkdir -p  $(DESTDIR)$(DOCDIR)
 	mkdir -p  $(DESTDIR)$(MANDIR)
 	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
 	mkdir -p  $(DESTDIR)$(APPDATADIR)
-	cp -f  fotoxx $(DESTDIR)$(BINDIR)
-	cp -f  fotoxx $(DESTDIR)$(BINDIR)/fotoxx-snap            ### snap package name
+	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
-	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
+	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
 	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
 	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
@@ -111,7 +111,7 @@
 	rm -f fotoxx.1.gz
 	# menu (desktop) file
 	cp -f fotoxx.desktop $(DESTDIR)$(MENUFILE)
-	cp -f fotoxx.png $(DESTDIR)$(ICONFILE)
+	cp -f fotoxx.png $(DESTDIR)$(ICONDIR)
 
 uninstall:
 	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
@@ -119,7 +119,6 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
-	rm -f  $(DESTDIR)$(ICONFILE)
 
 clean:
 	rm -f  fotoxx

=== debian/changelog ===
fotoxx (18.01.1-2) sid; urgency=medium

  * New revision
  * Call the chmod only on arch builds (Closes: 886704)
    Thanks to Norbert Preining for the report.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 16 Jan 2018 11:04:51 -0300

fotoxx (18.01.1-1) sid; urgency=medium

  [ Santiago Torres Batan ]
  * debian/copyright: update years.
  * debian/control: Bump to Standards-Version 4.1.1. No changes.
  * debian/patches
    - Added Fix-cross-compilation.patch.
    Thanks to Helmut Grohne. (closes: #866524)
  * debian/fotoxx.install
    - Do not install fotoxx-snap, /usr/bin/fotoxx duplicate
      Fix lintian warning
  * Fix Appstream metadata path and permissions (lintians warning)
    - debian/rules: override dh_fixperms
    - fotoxx.install: fix path

  [ Maximiliano Curia ]
  * New upstream release (18.01.1).
  * Bump Standards-Version to 4.1.3.
  * Refresh patches
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Jan 2018 16:00:14 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblcms2-dev,
                libraw-dev,
                libtiff-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright

override_dh_link:
	dh_link -pfotoxx \
	    usr/share/fotoxx/data/userguide-en.html \
	    usr/share/doc/fotoxx/userguide-en.html
	dh_link --remaining-packages

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.kornelix.net/downloads/downloads.html tarballs/fotoxx-([\d.]+).tar.gz

## fotoxx 18.07

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,18 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-18.01.1.cc
+FOTOXX = fotoxx-18.07.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -g -rdynamic -fstack-protector-strong
 PREFIX ?= /usr
 CPPFLAGS ?= -O2
+## CPPFLAGS ?= -O0 -fsanitize=address     ## debug
 
 # target install directories
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data
+HTMLDIR = $(SHAREDIR)/html
 ICONDIR = $(SHAREDIR)/icons
 IMAGEDIR = $(SHAREDIR)/images
 LOCALESDIR = $(SHAREDIR)/locales
@@ -28,11 +30,11 @@
    -I/usr/include/libchamplain-gtk-0.12/           \
    -I/usr/include/libchamplain-0.12/
 
-LIBS = `pkg-config --libs gtk+-3.0` -lpthread -ltiff -lpng -lraw -llcms2    \
+LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -lraw -llcms2    \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
-           f.edit.o f.repair.o f.warp.o f.effects.o f.combine.o f.mashup.o          \
+           f.edit1.o f.edit2.o f.warp.o f.effects.o f.combine.o f.mashup.o          \
            f.tools.o f.process.o zfuncs.o
 
 fotoxx: $(ALLFILES)
@@ -59,11 +61,11 @@
 f.meta.o: f.meta.cc  fotoxx.h
 	$(CXX) f.meta.cc $(CFLAGS) \
 
-f.edit.o: f.edit.cc  fotoxx.h
-	$(CXX) f.edit.cc $(CFLAGS) \
+f.edit1.o: f.edit1.cc  fotoxx.h
+	$(CXX) f.edit1.cc $(CFLAGS) \
 
-f.repair.o: f.repair.cc  fotoxx.h
-	$(CXX) f.repair.cc $(CFLAGS) \
+f.edit2.o: f.edit2.cc  fotoxx.h
+	$(CXX) f.edit2.cc $(CFLAGS) \
 
 f.warp.o: f.warp.cc  fotoxx.h
 	$(CXX) f.warp.cc $(CFLAGS) \
@@ -90,6 +92,7 @@
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
 	mkdir -p  $(DESTDIR)$(DATADIR)
+	mkdir -p  $(DESTDIR)$(HTMLDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(LOCALESDIR)
@@ -99,6 +102,7 @@
 	mkdir -p  $(DESTDIR)$(APPDATADIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
+	cp -f -R  html/* $(DESTDIR)$(HTMLDIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
 	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
fotoxx (18.07-1~mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Oct 2018 04:35:01 -0700

fotoxx (18.07-1~mx17+1) mx; urgency=medium

  * Repackaged from sid for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 27 Oct 2018 04:20:16 -0700

fotoxx (18.07-1) sid; urgency=medium

  [ Maximiliano Curia ]
  * Update Vcs fields

  [ Santiago Torres Batan ]
  * Bumps Standards-Version
  * New upstream version 18.07
  * Updated Copyright Years.
  * Refreshed Patches
  * debian/rules: Remove trailing spaces
  * Fixed HTML documentation filepaths in debian/rules
    and fotoxx-common.doc-base

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 13 Aug 2018 15:42:18 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fotoxx
 Section: graphics
 Priority: optional
-Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9),
                libchamplain-gtk-0.12-dev,
@@ -9,10 +10,10 @@
                liblcms2-dev,
                libraw-dev,
                libtiff-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git
+Vcs-Browser: https://salsa.debian.org/debian/fotoxx
+Vcs-Git: https://salsa.debian.org/debian/fotoxx.git
 
 Package: fotoxx
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,18 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
+	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README
 
 override_dh_link:
 	dh_link -pfotoxx \
-	    usr/share/fotoxx/data/userguide-en.html \
+	    usr/share/fotoxx/html/userguide-en.html \
 	    usr/share/doc/fotoxx/userguide-en.html
 	dh_link --remaining-packages
 
 override_dh_fixperms-arch:
 	dh_fixperms -a
 	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*
-
+	
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## fotoxx 18.07.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # fotoxx makefile
 
-FOTOXX = fotoxx-18.07.cc
+FOTOXX = fotoxx-18.07.2.cc
 
 # defaults for parameters that may be pre-defined
-CXXFLAGS += -Wall -g -rdynamic -fstack-protector-strong
+CXXFLAGS += -Wall -g -rdynamic -Wno-format-truncation
+            
 PREFIX ?= /usr
 CPPFLAGS ?= -O2
-## CPPFLAGS ?= -O0 -fsanitize=address     ## debug
 
-# target install directories
+# target install folders
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data

=== debian/changelog ===
fotoxx (18.07.2-1~mx15+1) mx; urgency=medium

  * Repackaged for MX-16/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 13 Feb 2019 18:19:43 -0800

fotoxx (18.07.2-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 13 Feb 2019 17:45:55 -0800

fotoxx (18.07.2-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * New upstream version 18.07.2 (closes: #916010)
  * Refresh Patches
  * d/control: Update Build-Depends, Recommends and Suggests
  * d/rules: Add +bindnow flag to DEB_BUILD_MAINT_OPTIONS

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jan 2019 12:58:16 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtk-3-dev,
                liblcms2-dev,
                libraw-dev,
-               libtiff-dev
+               libtiff-dev,
 Standards-Version: 4.1.4
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Browser: https://salsa.debian.org/debian/fotoxx
@@ -17,14 +17,12 @@
 
 Package: fotoxx
 Architecture: any
-Depends: dcraw,
-         fotoxx-common (= ${source:Version}),
+Depends: fotoxx-common (= ${source:Version}),
          libimage-exiftool-perl (>= 8.60),
          xdg-utils,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ufraw
-Suggests: brasero, gimp, hugin, imagemagick, rawtherapee, www-browser
+         ${shlibs:Depends},
+Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR

## fotoxx 19.17

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,32 @@
-# fotoxx makefile
+#  fotoxx Makefile
+#
+#  export CXX=g++          gnu compiler
+#  export CXX=clang++      clang compiler
+#  export DEBUG=x          debug build with address checking
 
-FOTOXX = fotoxx-18.07.2.cc
+ifeq ($(CXX), clang++)
+   ifdef DEBUG
+      CXXFLAGS += -Wall -g -O0 -fsanitize=address
+      LDFLAGS += -fsanitize=address
+   else
+      CXXFLAGS += -Wall -g -O2
+   endif
+else
+   ifdef DEBUG
+      CXXFLAGS += -Wall -g -rdynamic -O0 -fsanitize=address -Wno-format-truncation
+      LDFLAGS += -fsanitize=address
+   else
+      CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation
+   endif
+endif
 
-# defaults for parameters that may be pre-defined
-CXXFLAGS += -Wall -g -rdynamic -Wno-format-truncation
-            
 PREFIX ?= /usr
-CPPFLAGS ?= -O2
+PKG_CONFIG ?= pkg-config
 
 # target install folders
 BINDIR = $(PREFIX)/bin
 SHAREDIR = $(PREFIX)/share/fotoxx
 DATADIR = $(SHAREDIR)/data
-HTMLDIR = $(SHAREDIR)/html
 ICONDIR = $(SHAREDIR)/icons
 IMAGEDIR = $(SHAREDIR)/images
 LOCALESDIR = $(SHAREDIR)/locales
@@ -22,26 +36,29 @@
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
 
 CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
-   `pkg-config --cflags gtk+-3.0`                  \
+   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
    -I/usr/include/clutter-1.0/                     \
    -I/usr/include/cogl/                            \
    -I/usr/include/json-glib-1.0/                   \
    -I/usr/include/clutter-gtk-1.0/                 \
+   -I/usr/include/champlain-gtk-0.12/              \
+   -I/usr/include/champlain-0.12/                  \
    -I/usr/include/libchamplain-gtk-0.12/           \
    -I/usr/include/libchamplain-0.12/
 
-LIBS = `pkg-config --libs gtk+-3.0` -lrt -lpthread -ltiff -lpng -lraw -llcms2    \
+LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
+         -lrt -lpthread -llcms2 -ltiff -lpng -lraw -ljpeg                           \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.area.o f.meta.o   \
            f.edit1.o f.edit2.o f.warp.o f.effects.o f.combine.o f.mashup.o          \
-           f.tools.o f.process.o zfuncs.o
+           f.tools.o f.process.o f.pixmap.o zfuncs.o
 
 fotoxx: $(ALLFILES)
-	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS) \
+	$(CXX) $(LDFLAGS) $(ALLFILES) $(LIBS) -o fotoxx \
 
-fotoxx.o: $(FOTOXX) fotoxx.h
-	$(CXX) -o fotoxx.o $(FOTOXX) $(CFLAGS) \
+fotoxx.o: fotoxx.cc fotoxx.h
+	$(CXX) fotoxx.cc $(CFLAGS) -o fotoxx.o \
 
 f.widgets.o: f.widgets.cc  fotoxx.h
 	$(CXX) f.widgets.cc $(CFLAGS) \
@@ -85,14 +102,16 @@
 f.process.o: f.process.cc  fotoxx.h
 	$(CXX) f.process.cc $(CFLAGS) \
 
+f.pixmap.o: f.pixmap.cc  fotoxx.h
+	$(CXX) f.pixmap.cc $(CFLAGS) \
+
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) zfuncs.cc $(CFLAGS)    \
-	### -D DOCDIR=\"$(DOCDIR)\"   \     ### SUSE only   \
+	$(CXX) zfuncs.cc $(CFLAGS)                   \
+	### -D DOCDIR=\"$(DOCDIR)\"      SUSE only   \
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
 	mkdir -p  $(DESTDIR)$(DATADIR)
-	mkdir -p  $(DESTDIR)$(HTMLDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(LOCALESDIR)
@@ -102,7 +121,6 @@
 	mkdir -p  $(DESTDIR)$(APPDATADIR)
 	cp -f     fotoxx $(DESTDIR)$(BINDIR)
 	cp -f -R  data/* $(DESTDIR)$(DATADIR)
-	cp -f -R  html/* $(DESTDIR)$(HTMLDIR)
 	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
 	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
@@ -119,6 +137,7 @@
 
 uninstall:
 	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
+	rm -f -R  $(DESTDIR)$(LOCALESDIR)
 	rm -f -R  $(DESTDIR)$(SHAREDIR)
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz

=== debian/changelog ===
fotoxx (19.17-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:40:45 +0100

fotoxx (19.17-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * debian/watch: Fix watch URL pattern
  * New upstream version 19.17
  * debian/compat: No needed it anymore as switch to dh 12
  * debian/copyright: Update copyright years
  * debian/control:
    - Update debhelper version to 12
    - Bumps Standars-Version 4.4.1
  * debian/patches: Remove applied by upstream patches:
    - Fix-cross-compilation.patch
    - Fix-ftbfs-in-freebsd.patch
    - fix-FTBFS-using-clang-instead-of-gcc.patch
  * debian/patches: Add patches and update series file
    - debian/patches/0001-Add-primary-category-to-desktop-file.patch
    - debian/patches/0002-Do-not-phone-home.patch
  * Remove debian/fotoxx-common.doc-base:
    - Not suitable documentation file, avoid installing it.
  * Finalize debian/changelog

  [ Maximiliano Curia ]
  * watch file: use https uris
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Oct 2019 13:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: fotoxx
 Section: graphics
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libchamplain-gtk-0.12-dev,
                libgtk-3-dev,
                liblcms2-dev,
                libraw-dev,
                libtiff-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Browser: https://salsa.debian.org/debian/fotoxx
 Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
@@ -23,7 +24,3 @@
 override_dh_fixperms-arch:
 	dh_fixperms -a
 	chmod 644 $(CURDIR)/debian/fotoxx/usr/share/metainfo/*
-	
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-

## fotoxx 19.18

=== debian/changelog ===
fotoxx (19.18-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 Nov 2019 13:47:22 -0800

fotoxx (19.17-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 08 Oct 2019 15:05:39 -0700

fotoxx (19.17-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 08 Oct 2019 13:31:57 -0700

## fotoxx 19.19

=== debian/changelog ===
fotoxx (19.19-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Nov 2019 08:29:55 -0800

fotoxx (19.18-1~mx15+1) mx; urgency=medium

  * Rebuild for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 Nov 2019 14:08:45 -0800

fotoxx (19.18-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 Nov 2019 13:56:32 -0800

## fotoxx 19.20

=== debian/changelog ===
fotoxx (19.20-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Updated depends per vendor suggestions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Nov 2019 10:27:43 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: fotoxx
 Section: graphics
 Priority: optional
-Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               libchamplain-gtk-0.12-dev,
-               libgtk-3-dev,
-               liblcms2-dev,
-               libraw-dev,
-               libtiff-dev,
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 9),
+			binutils,
+			dcraw,  
+			g++, 
+			libc6, 
+            libchamplain-gtk-0.12-dev,
+            libclutter-1.0-dev, 
+            libgtk-3-dev,
+            liblcms2-dev,
+            libraw-dev,
+            libtiff-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
 Vcs-Browser: https://salsa.debian.org/debian/fotoxx
 Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

## fotoxx 20.04

=== debian/changelog ===
fotoxx (20.04-1~mx17+2) mx; urgency=medium

  * Added dcraw, etc to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 20 Jan 2020 04:13:25 -0800

fotoxx (20.04-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 19 Jan 2020 17:24:06 -0800

fotoxx (19.20-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Nov 2019 10:37:13 -0800

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,11 @@
 
 Package: fotoxx
 Architecture: any
-Depends: fotoxx-common (= ${source:Version}),
-         libimage-exiftool-perl (>= 8.60),
-         xdg-utils,
+Depends: fotoxx-common (= ${source:Version}), 
+         libtiff5-dev, libpng-dev, liblcms2-dev, 
+         libimage-exiftool-perl (>= 8.60), dcraw, 
+         libclutter-1.0-dev, libchamplain-0.12-dev, 
+         libchamplain-gtk-0.12-dev, xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: ffmpeg, growisofs, hugin, rawtherapee, totem
